/**
 * @license
 * Copyright 2019 JBoss Inc
 *
 * Licensed under the Apache License, Version 2.0 (the "License");
 * you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at
 *
 *      http://www.apache.org/licenses/LICENSE-2.0
 *
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
 */
import { ChangeDetectorRef, SimpleChanges } from "@angular/core";
import { Oas20Operation, Oas20PathItem, Oas30Operation, Oas30PathItem, OasParameter, OasPathItem } from "apicurio-data-models";
import { CommandService } from "../../../_services/command.service";
import { DocumentService } from "../../../_services/document.service";
import { EditorsService } from "../../../_services/editors.service";
import { ParameterData } from "../../editors/parameter-editor.component";
import { AbstractBaseComponent } from "../../common/base-component";
import { SelectionService } from "../../../_services/selection.service";
import { RenameEntityDialogComponent, RenameEntityEvent } from "../../dialogs/rename-entity.component";
export declare class CookieParamsSectionComponent extends AbstractBaseComponent {
    private changeDetectorRef;
    private commandService;
    private documentService;
    private editors;
    private selectionService;
    parent: Oas20Operation | Oas30Operation | Oas20PathItem | Oas30PathItem;
    path: OasPathItem;
    renameDialog: RenameEntityDialogComponent;
    private _cookieParameters;
    showSectionBody: boolean;
    /**
     * C'tor.
     * @param changeDetectorRef
     * @param commandService
     * @param documentService
     * @param editors
     * @param selectionService
     */
    constructor(changeDetectorRef: ChangeDetectorRef, commandService: CommandService, documentService: DocumentService, editors: EditorsService, selectionService: SelectionService);
    protected onDocumentChange(): void;
    ngOnInit(): void;
    ngOnChanges(changes: SimpleChanges): void;
    isPathItem(): boolean;
    contextHelp(): string;
    hasParameters(type: string): boolean;
    hasCookieParameters(): boolean;
    parameters(paramType: string): OasParameter[];
    cookieParameters(): OasParameter[];
    cookieParameterPaths(): string[];
    openAddCookieParamEditor(): void;
    deleteAllCookieParams(): void;
    deleteParam(parameter: OasParameter): void;
    addCookieParam(data: ParameterData): void;
    /**
     * Opens the rename parameter dialog.
     * @param parameter
     */
    openRenameDialog(parameter: OasParameter): void;
    /**
     * Renames the parameter.
     * @param event
     */
    rename(event: RenameEntityEvent): void;
}
